<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("agg" . "reg" . "ati" . "on" => base64_decode("YWdncm" . "VnYXRp" . "b24="), "_31fe0e29fd" . "fc834bf81ef" . "d515f8390b2" => base64_decode("IEdST1VQIEJZIG9iamVjdF9pZCBPUkRFUiBCWSB2aWV3cyBERVNDLCB1bml" . "xdWVfdmlld2VycyBERVNDLCBvYmplY3RfaWQgQVND"), "_8a2c4179b7145f57e03893c306413a" . "e2" => base64_decode("U0VMRUNUIG9iamVjdF9pZCwgQ09VTlQodXNlcl9pZCkgdmlld3MsIENPVU5UKERJU1RJTkNUIHVzZXJfaWQpIHVuaXF1ZV92aWV3ZXJzIEZST00gc3RhdF92aWV3cyBXSEVSRSB" . "hZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "_bfe6642a5b68bf0df" . "be0e38d0c9f9bb3" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCBvYmplY3RfaWQgRlJPTSBzdGF0" . "X3ZpZXdzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="), "_c3632c30d13c067887" . "7605a29c10c428" => base64_decode("IEdST1VQIEJZIG9iamVjdF9pZCkgdA" . "=="));
use Claromentis\Core\DAL;
abstract class StatReportTopViewList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8a2c4179b7145f57e03893c306413" . "ae2"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_31fe0e29fdfc834bf81efd51" . "5f8390b2"]);
        $query->Bind($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["agg" . "reg" . "ati" . "on"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_bfe6642a5b68bf0dfbe0e" . "38d0c9f9bb3"] . $filter->AsPart() . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_c3632c30d13c0678877605a29c10c4" . "28"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}